<?php

use yii\helpers\Html;
use yii\helpers\VarDumper;
use yii\widgets\ActiveForm;
use yii\web\View;
use yii\bootstrap\Alert;

/* @var $this yii\web\View */
/* @var $paiementForm app\models\PaiementForm */
/* @var $return_url string */
/* @var $amount array|integer */

$return_url=str_replace('%ID%', '', $return_url);

$initialiseJsCode='
function toggleDisplayInstructions() {
  toggleDisplay("instructions-excerpt");
  toggleDisplay("instructions");
}
';
$this->registerJs($initialiseJsCode,View::POS_HEAD);
// Yii::debug('$amount = ' . VarDumper::dumpAsString($amount));

$this->title = 'Paiement | ' . Yii::$app->name;
?>
<div class="registration">
  <div class="row">
    <div class="shopinfo col-sm-4">
      <div class="row">
        <div class="text-center">
          <?php
            if($logo_url) echo '<img src="' . $logo_url . '" width="32" height="32" style="display:inline; vertical-align: center;"/>&nbsp;';
            echo $shop_name
          ?>
        </div>
      </div>
      <div class="commande-details">
        <?php
          setlocale(LC_MONETARY, 'fr_FR');
          if(is_array($amount)) {
            echo "<ul>";
            // Yii::debug('$amount = ' . VarDumper::dumpAsString($amount));
            foreach ($amount as $value) {
              //echo '<div class="row">';
              // echo '<div class="col-sm-8">' . $value['label'] . '</div>';
              // echo '<div class="col-sm-4 pull-right">' . $value['montant'] . '</div>';
              // echo '</div>';
              echo '<li>' . $value['label'] . '<div class="pull-right">' . number_format($value['montant'],0,'.',' ') .' F</div>';
            }
            echo '</ul>';
          } else {
            echo $description . '<div class="pull-right">' . $amount .'F</div>';
          }
        ?>
      </div>
    </div> <!-- shopinfo -->
    <div class="mpayinfo col-sm-8">
      <?php $form = ActiveForm::begin(['id'=>'subscription-form']);
        if(isset($enc)) {
          echo "\n" . '<input type="hidden" name="enc" value="' . $enc . '">' . "\n";
          echo '<input type="hidden" name="sum" value="' . $sum . '">' . "\n";
          echo '<input type="hidden" name="id" value="' . $id . '">' . "\n";
        }
      ?>
      <div id="instructions-excerpt" style="display: block;">
        <a class="btn btn-primary" onclick="toggleDisplayInstructions(); return false;">Afficher les instructions compl&egrave;tes</a>
        <p>Vous pouvez effectuer le paiement d&apos;une touche sur le(s) bouton(s) suivant(s):</p>
        <?php if(is_array($amount)) { ?>
          <div class="row buttons">
            <?php foreach ($amount as $key => $value) { ?>
              <div class="col-sm-4">
                <a class="btn btn-success" style="width: 100%; margin: 10px;" href="tel:*555*2*1*<?= $number_telmob ?>*<?= $value['montant'] ?>%23">
                  <?= $value['montant'] ?>F - <?= $value['label'] ?> - Mobicash</a>
                </div>
            <?php } ?>
          </div>
          <div class="row buttons">
            <?php foreach ($amount as $key => $value) { ?>
              <div class="col-sm-4"><a class="btn btn-success" style="width: 100%; margin: 10px;" href="tel:*144*2*1*<?= $number_orange ?>*<?= $value['montant'] ?>%23"><?= $value['montant'] ?>F - <?= $value['label'] ?> - Orange Money</a></div>
            <?php } ?>
          </div>
        <?php } else { ?>
          <div class="row buttons">
              <div class="col-sm-4"><a class="btn btn-success" style="width: 100%; margin: 10px;" href="tel:*555*2*1*<?= $number_telmob ?>*<?= $amount ?>%23"><?= $amount ?>F - Mobicash</a></div>
              <div class="col-sm-4"><a class="btn btn-success" style="width: 100%; margin: 10px;" href="tel:*144*2*1*<?= $number_orange ?>*<?= $amount ?>%23"><?= $amount ?>F - Orange Money</a></div>
          </div>
        <?php } ?>
      </div>
      <div id="instructions" style="display: none;">
          <a class="btn btn-primary" onclick="toggleDisplayInstructions()">Afficher les instructions r&eacute;sum&eacute;es</a>
          <?php if(is_array($amount)) { ?>
          <p>Le(s) (diff&eacute;rents) montant(s) &agrave; payer est(sont) le(s) suivant(s):</p>
          <ul>
            <?php foreach ($amount as $key => $value) { ?>
              <li><?= $value['montant'] ?>F pour <?= $value['label'] ?></li>
            <?php } ?>
          </ul>
        <?php } else { ?>
          <p>Le montant &agrave; payer est de <?= $amount ?>F.</p>
        <?php } ?>
          <p>Le paiement se fait via Mobicash (num&eacute;ro destinataire: <strong><?= $number_telmob ?></strong>) ou Orange Money
            (num&eacute;ro destinataire: <strong><?= $number_orange ?></strong>)
            <em>(<strong>Attention:</strong> les frais d&apos;op&eacute;rateur s&apos;appliquent)</em>
          </p>

          <h2>Mobicash</h2>
          <p>Si vous utilisez Mobicash, vous pouvez taper le(s) bouton(s) suivant(s) (ensuite faire OK
            pour lancer l&apos;appel) et confirmer avec votre code PIN:</p>
          <div class="row buttons">
            <?php if(is_array($amount)) {
              foreach ($amount as $key => $value) { ?>
              <div class="col-sm-4"><a class="btn btn-success" style="width: 100%; margin: 10px;" href="tel:*555*2*1*<?= $number_telmob ?>*<?= $value['montant'] ?>%23"><?= $value['montant'] ?>F - <?= $value['label'] ?> - Mobicash</a></div>
            <?php }
          } else { ?>
              <div class="col-sm-4"><a class="btn btn-success" style="width: 100%; margin: 10px;" href="tel:*555*2*1*<?= $number_telmob ?>*<?= $amount ?>%23"><?= $amount ?>F - Mobicash</a></div>
          <?php } ?>
          </div>
          <p>Si le(s) boutons ne r&eacute;pond(ent) pas (sur un ordinateur de bureau par exemple),
            vous pouvez copier le code USSD suivant sur votre t&eacute;l&eacute;phone:
            <strong>*555*2*1*<?= $number_telmob ?>*<?php if(is_array($amount)) echo 'MONTANT';
                                              else echo $amount ; ?>#</strong>
            et appuyer sur la touche OK</p>
          <h2>Orange Money</h2>
          <p>Si vous optez pour Orange Money, utilisez le(s) bouton(s) ci-dessous:</p>
            <div class="row buttons">
              <?php if(is_array($amount)) {
                foreach ($amount as $key => $value) { ?>
                <div class="col-sm-4"><a class="btn btn-success" style="width: 100%; margin: 10px;" href="tel:*144*2*1*<?= $number_orange ?>*<?= $value['montant'] ?>%23"><?= $value['montant'] ?>F - <?= $value['label'] ?> - Orange Money</a></div>
              <?php }
            } else { ?>
                <div class="col-sm-4"><a class="btn btn-success" style="width: 100%; margin: 10px;" href="tel:*144*2*1*<?= $number_orange ?>*<?= $amount ?>%23"><?= $amount ?>F - Orange Money</a></div>
            <?php } ?>
            </div>
          <p>Encore une fois, sur un ordinateur de bureau, le(s) bouton(s) ne fonctionne(nt) pas,
            mais vous pouvez vous-m&ecirc;me ex&eacute;cuter le code USSD suivant sur votre
            t&eacute;l&eacute;phone:
            <strong>*144*2*1*<?= $number_orange ?>*<?php if(is_array($amount)) echo 'MONTANT';
                                              else echo $amount ; ?>#</strong>
            suivi de OK</p>
          <h2>&nbsp;</h2>
          <p>Quel que soit le service utilis&eacute; (Mobicash ou Orange Money),
            l&apos;op&eacute;rateur vous envoie un SMS de confirmation
            avec l&apos;identifiant de la transaction (de la forme <em>XX123456.1234.X12345</em>),
            identifiant qu&apos;il vous faut entrer ci-dessous:</p>
      </div>
      <div class='row'>
        <div class='col-sm-6'>
          <?= $form->field($paiementForm, 'transaction_id')->textInput() ?>

          <div class="form-group">
              <?= Html::submitButton(Yii::t('app', 'Envoyer'), ['class' => 'btn btn-primary']) ?>
              <a class="btn btn-warning" href="#" onclick="window.history.go(-1); return false;">Retour</a>
          </div>
        </div>
      </div>
      <?php ActiveForm::end(); ?>
    </div> <!-- mpayinfo -->
  </div> <!-- row -->
</div><!-- register -->
